<bugID>935872<Summary>UX - New drop-down panels should open via keyboard shortcut</Summary><Description>Created attachment 828518
panel ui.png

User Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:28.0) Gecko/20100101 Firefox/28.0 (Beta/Release)
Build ID: 20131106040200

Steps to reproduce:

Pressed Ctrl+B, H, and J to access bookmarks, history and downloads, respectively.


Actual results:

Bookmarks and history open in a sidebar, whereas the downloads opens in the Library pop-up window -- inconsistent behavior.


Expected results:

For consistency and a more modern interface these shortcuts should activate the new drop-down panels. 

History has a similar drop-down panel as well when moved to the navigation bar and should be there between the bookmarks and downloads buttons. Like the bookmarks drop-down panel, there should be "Show all History (Ctrl+Shift+H)" and "View in Sidebar" links at the top of the panel drop-down.

I believe this should be doable since there is are existing add-ons that modify the downloads drop-down panel to open via keyboard shortcut and even customize the display of it.</Description></bugID>